Creates a new event booking for a specific scheduling page.
Please note that access to this endpoint requires an active paid subscription.
This API requires either of the following scopes:
admin:fullbookingImportant: Before creating an event, verify availability using the availability endpoint (GET /availability/{ownerSlug}/event-types/{eventTypeSlug}).
Custom invitee questions:
question_answers array.curl --request POST \
--url https://api.zeeg.me/v2/event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownerSlug": "lena-meier",
"eventTypeSlug": "30min-discovery-call",
"date": "2026-04-15",
"duration": 30,
"name": "Sophie Laurent",
"email": "sophie.laurent@northwind.io",
"guests": [
"alex.chen@northwind.io"
],
"location": "GOOGLE_MEET",
"timeZone": "Europe/Paris",
"start": "09:00",
"question_answers": [
{
"question_id": 1,
"answer": "Product demo and pricing options"
}
],
"customQueryParams": {},
"utm": {
"utm_campaign": "spring_launch",
"utm_source": "linkedin",
"utm_medium": "social"
}
}
'{
"uri": "https://api.zeeg.me/v2/scheduled-events/zg-O69bac566950c6",
"uuid": "zg-O69bac566950c6",
"title": "30-Minute Discovery Call",
"type": "ONE_ON_ONE",
"startTime": "2026-04-15T07:00:00.000000Z",
"endTime": "2026-04-15T07:30:00.000000Z",
"duration": 30,
"status": "confirmed",
"eventTypeUri": "https://api.zeeg.me/v2/event-types/80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
"location": {
"type": "Google Meet",
"joinUrl": "https://meet.google.com/abc-defg-hij"
},
"maxActiveInvitees": 1,
"activeInviteesCount": 1,
"invitees": [
{
"uuid": "zg-O69bad4047abf0",
"salutation": null,
"fullName": "Sophie Laurent",
"email": "sophie.laurent@northwind.io",
"guests": [
"alex.chen@northwind.io"
],
"timeZone": "Europe/Paris",
"cancellation": {
"cancelledAt": null,
"cancelledBy": null,
"cancellerType": null,
"cancellationReason": null
},
"payment": null,
"questions": [
{
"answer": "Product demo and pricing options",
"answer_type": "STRING",
"question": "What would you like to discuss?"
}
],
"scheduledAt": "2026-04-10T08:30:00.000000Z",
"utm": {
"utm_campaign": "spring_launch",
"utm_source": "linkedin",
"utm_medium": "social",
"utm_content": null,
"utm_term": null
},
"customQueryParams": []
}
],
"guests": [
"alex.chen@northwind.io"
],
"hosts": [
{
"firstName": "Lena",
"lastName": "Meier",
"email": "lena.meier@horizondigital.de",
"slug": "lena-meier",
"url": "https://zeeg.me/lena-meier",
"avatarUrl": null
}
],
"createdAt": "2026-04-10T08:30:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z",
"currentTime": "2026-04-10T08:30:00+00:00"
}The slug of the scheduling page owner, can be a user or a team.
The slug of the scheduling page.
The event date in YYYY-MM-DD format.
Meeting duration in minutes.
Invitee's full name.
Invitee's email address.
Invitee's IANA timezone identifier.
"Europe/Paris"
Start time in HH:mm format (in the specified timeZone).
"09:00"
Invitee's phone number (required for "PHONE_CALL" location type).
Array of additional guest email addresses.
Location type identifier (required if locations are enabled in the scheduling page). Accepted values:
"IN_PERSON": Physical in-person meeting (requires locationOptions with address and details)."PHONE_CALL": Phone call meeting (requires locationOptions.callType and phone field)."ZOOM", "GOOGLE_MEET", "MICROSOFT_TEAMS").Additional location details, required for certain location types:
location: "IN_PERSON"): provide address and details.location: "PHONE_CALL"): provide callType (e.g. "I_WILL_CALL").Array of question-answer pairs for custom invitee questions configured on the scheduling page.
Custom URL parameters to pass through.
The shared link token, required when booking via a shared or collective scheduling link.
OK
Zeeg event identifier
"zg-O69bac566950c6"
Hide child attributes
Array of additional emails invited
Array of additional emails invited
curl --request POST \
--url https://api.zeeg.me/v2/event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownerSlug": "lena-meier",
"eventTypeSlug": "30min-discovery-call",
"date": "2026-04-15",
"duration": 30,
"name": "Sophie Laurent",
"email": "sophie.laurent@northwind.io",
"guests": [
"alex.chen@northwind.io"
],
"location": "GOOGLE_MEET",
"timeZone": "Europe/Paris",
"start": "09:00",
"question_answers": [
{
"question_id": 1,
"answer": "Product demo and pricing options"
}
],
"customQueryParams": {},
"utm": {
"utm_campaign": "spring_launch",
"utm_source": "linkedin",
"utm_medium": "social"
}
}
'{
"uri": "https://api.zeeg.me/v2/scheduled-events/zg-O69bac566950c6",
"uuid": "zg-O69bac566950c6",
"title": "30-Minute Discovery Call",
"type": "ONE_ON_ONE",
"startTime": "2026-04-15T07:00:00.000000Z",
"endTime": "2026-04-15T07:30:00.000000Z",
"duration": 30,
"status": "confirmed",
"eventTypeUri": "https://api.zeeg.me/v2/event-types/80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
"location": {
"type": "Google Meet",
"joinUrl": "https://meet.google.com/abc-defg-hij"
},
"maxActiveInvitees": 1,
"activeInviteesCount": 1,
"invitees": [
{
"uuid": "zg-O69bad4047abf0",
"salutation": null,
"fullName": "Sophie Laurent",
"email": "sophie.laurent@northwind.io",
"guests": [
"alex.chen@northwind.io"
],
"timeZone": "Europe/Paris",
"cancellation": {
"cancelledAt": null,
"cancelledBy": null,
"cancellerType": null,
"cancellationReason": null
},
"payment": null,
"questions": [
{
"answer": "Product demo and pricing options",
"answer_type": "STRING",
"question": "What would you like to discuss?"
}
],
"scheduledAt": "2026-04-10T08:30:00.000000Z",
"utm": {
"utm_campaign": "spring_launch",
"utm_source": "linkedin",
"utm_medium": "social",
"utm_content": null,
"utm_term": null
},
"customQueryParams": []
}
],
"guests": [
"alex.chen@northwind.io"
],
"hosts": [
{
"firstName": "Lena",
"lastName": "Meier",
"email": "lena.meier@horizondigital.de",
"slug": "lena-meier",
"url": "https://zeeg.me/lena-meier",
"avatarUrl": null
}
],
"createdAt": "2026-04-10T08:30:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z",
"currentTime": "2026-04-10T08:30:00+00:00"
}